<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [GoAnalysis](./bitburner.goanalysis.md) &gt; [setTestingBoardState](./bitburner.goanalysis.settestingboardstate.md)

## GoAnalysis.setTestingBoardState() method

Starts a new game against the "No AI" opponent, and sets the initial board size, pieces, and offline nodes to the given board state. "X" represent black pieces, "O" white, and "." empty points. "\#" are dead nodes that are not part of the subnet.

**Signature:**

```typescript
setTestingBoardState(boardState: string[], komi?: number, nextPlayerIsWhite?: boolean): void;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

boardState


</td><td>

string\[\]


</td><td>

The initial board state to use for the new game, in the format used by getBoardState().


</td></tr>
<tr><td>

komi


</td><td>

number


</td><td>

_(Optional)_ Optional komi value to set for the game. Defaults to 5.5.


</td></tr>
<tr><td>

nextPlayerIsWhite


</td><td>

boolean


</td><td>

_(Optional)_ Optional. Whether or not the next player to play is the white player. Defaults to false.


</td></tr>
</tbody></table>

**Returns:**

void

## Remarks

RAM cost: 4 GB

